HintedHandOffManagerMBean (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Interface HintedHandOffManagerMBean

All Known Implementing Classes:
  HintedHandOffManager

    public interface HintedHandOffManagerMBean

Method Summary
`java.util.Map<java.lang.String,java.lang.Integer>` | `countPendingHints()` List all the endpoints that this node has hints for, and count the number of hints for each such endpoint.
`void` | `deleteHintsForEndpoint(java.lang.String host)` Nuke all hints from this node to `ep`.
`java.util.List<java.lang.String>` | `listEndpointsPendingHints()` List all the endpoints that this node has hints for.
`void` | `scheduleHintDelivery(java.lang.String host)` force hint delivery to an endpoint

Method Detail

### deleteHintsForEndpoint

    void deleteHintsForEndpoint(java.lang.String host)

  Nuke all hints from this node to `ep`.

  Parameters:
    `host` - String rep. of endpoint address to delete hints for, either ip address ("127.0.0.1") or hostname

### listEndpointsPendingHints

    java.util.List<java.lang.String> listEndpointsPendingHints()

  List all the endpoints that this node has hints for.

  Returns:
    set of endpoints; as Strings

### countPendingHints

    java.util.Map<java.lang.String,java.lang.Integer> countPendingHints()

  List all the endpoints that this node has hints for, and count the number of hints for each such endpoint.

  Returns:
    map of endpoint -> hint count

### scheduleHintDelivery

    void scheduleHintDelivery(java.lang.String host)
                              throws java.net.UnknownHostException

  force hint delivery to an endpoint

  Throws:
    `java.net.UnknownHostException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation